# TransparentFile Class Reference

List of all members.

## Public Member Functions

| setPath ($path)
| getPath ()
| setRawData ($rawData)
| getRawData ()
| getSize ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $path = null
| $rawData = null
| $tempFile = null

## Detailed Description

Definition at line 12 of file TransparentFile.class.php.

## Member Function Documentation

static TransparentFile::create | ( |  | ) | `[static]`

Returns:
  TransparentFile

Definition at line 22 of file TransparentFile.class.php.

TransparentFile::getPath | ( |  | ) |

Definition at line 45 of file TransparentFile.class.php.

TransparentFile::getRawData | ( |  | ) |

Definition at line 71 of file TransparentFile.class.php.

TransparentFile::getSize | ( |  | ) |

Definition at line 80 of file TransparentFile.class.php.

TransparentFile::setPath | ( | $ | path | ) |

Returns:
  TransparentFile

Definition at line 30 of file TransparentFile.class.php.

References $path.

TransparentFile::setRawData | ( | $ | rawData | ) |

Returns:
  TransparentFile

Definition at line 61 of file TransparentFile.class.php.

References $rawData.

## Member Data Documentation

TransparentFile::$path = null`[private]`

Definition at line 14 of file TransparentFile.class.php.

Referenced by setPath().

TransparentFile::$rawData = null`[private]`

Definition at line 15 of file TransparentFile.class.php.

Referenced by setRawData().

TransparentFile::$tempFile = null`[private]`

Definition at line 17 of file TransparentFile.class.php.

The documentation for this class was generated from the following file:

- main/Base/TransparentFile.class.php